Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### saveStream()

Description | Save the contents of a stream to a file in the sketch folder. This is basically saveBytes(blah, loadBytes()), but done more efficiently (and with less confusing syntax). When using the targetFile parameter, it writes to a File object for greater control over the file location. (Note that unlike other api methods, this will not automatically compress or uncompress gzip files.)

Syntax

    saveStream(targetFilename, sourceLocation)
    saveStream(targetFile, sourceLocation)

Parameters

targetFilename | String: name of the file to write to
sourceLocation | String: location to save the file
targetFile | File: the file to write to

Returns | None
Usage | Application
Related | createOutput()

Updated on November 22, 2008 08:39:25pm PST